﻿using OASystem.Domain.Dtos.System;
using OASystem.Domain.Dtos.UserDto;
using OASystem.Domain.Entities;
using OASystem.Domain.Entities.System;
using OASystem.Domain.ViewModels;
using OASystem.Domain.ViewModels.System;

namespace OASystem.Domain.AutoMappers
{
    public class _baseMappingProfile : Profile
    {
        public _baseMappingProfile()
        {
            //CreateMap<OrderDto, Order>();
            #region Login
            CreateMap<LoginDto, Sys_Users>();
            #endregion

            #region 公司板块
            CreateMap<Sys_Company, CompanyIView>();
            CreateMap<AddCompanyDto, AddCompany>();
            #endregion

            #region 部门板块
            CreateMap<Sys_Department, DepartmentIView>();
            #endregion

            #region 用户板块
            CreateMap<UserDto, Sys_Users>();
            CreateMap<Sys_Users, UserInfoView>();
            CreateMap<UserInfoView,UserIView>();
            CreateMap<UserInfoView, UserIWebView>();
            #endregion

        }
    }
}
